### Method

# Ide FancyTreeView set_data_func

#### Declaration

    void
    ide_fancy_tree_view_set_data_func (
      IdeFancyTreeView* self,
      GtkCellLayoutDataFunc func,
      gpointer func_data,
      GDestroyNotify func_data_destroy
    )

#### Description

Sets the data func to use to update the text for the `IdeCellRendererFancy` cell renderer.

Available since: | 3.32

#### Parameters

`func` | `GtkCellLayoutDataFunc`
| A callback.
| The argument can be `NULL`.
`func_data` | `gpointer`
| Data for `func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`func_data_destroy` | `GDestroyNotify`
| Destroy notify for `func_data`.